com.tibco.tibjms

## Class TibjmsXATopicConnectionFactory

- java.lang.Object
- - TibjmsxCFImpl
  - - com.tibco.tibjms.TibjmsXAConnectionFactory
    - - com.tibco.tibjms.TibjmsXATopicConnectionFactory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ConnectionFactory, TopicConnectionFactory, XAConnectionFactory, XATopicConnectionFactory, javax.naming.Referenceable

      public class TibjmsXATopicConnectionFactory
      extends TibjmsXAConnectionFactory
      implements XATopicConnectionFactory, TopicConnectionFactory, java.io.Serializable, javax.naming.Referenceable

  Note: XA sessions do not support routed queues.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsXATopicConnectionFactory()` Constructs a new TibjmsXATopicConnectionFactory object.
    `TibjmsXATopicConnectionFactory(java.lang.String serverUrl)` Constructs a new TibjmsXATopicConnectionFactory object for the given URL.
    `TibjmsXATopicConnectionFactory(java.lang.String serverUrl, java.lang.String clientId)` Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id.
    `TibjmsXATopicConnectionFactory(java.lang.String serverUrl, java.lang.String clientId, java.util.Map properties)` Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id and properties.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JMSContext` | `createContext()` Creates a JMSContext with the default user identity and an unspecified sessionMode.
    `JMSContext` | `createContext(int sessionMode)` Creates a JMSContext with the default user identity and the specified session mode.
    `JMSContext` | `createContext(java.lang.String userName, java.lang.String password)` Creates a JMSContext with the specified user identity and an unspecified sessionMode.
    `JMSContext` | `createContext(java.lang.String userName, java.lang.String password, int sessionMode)` Creates a JMSContext with the specified user identity and the specified session mode.
    `TopicConnection` | `createTopicConnection()` Creates a topic connection with the default user identity.
    `TopicConnection` | `createTopicConnection(java.lang.String userName, java.lang.String password)` Creates a topic connection with the specified user identity.
    `XATopicConnection` | `createXATopicConnection()` Creates an XA topic connection with the default user identity.
    `XATopicConnection` | `createXATopicConnection(java.lang.String userName, java.lang.String password)` Creates an XA topic connection with the specified user identity.

    - ### Methods inherited from class com.tibco.tibjms.TibjmsXAConnectionFactory

      `createConnection, createConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection`

    - ### Methods inherited from interface javax.naming.Referenceable

      `getReference`

- - ### Constructor Detail

    - #### TibjmsXATopicConnectionFactory

          public TibjmsXATopicConnectionFactory()

      Constructs a new TibjmsXATopicConnectionFactory object.

    - #### TibjmsXATopicConnectionFactory

          public TibjmsXATopicConnectionFactory(java.lang.String serverUrl)

      Constructs a new TibjmsXATopicConnectionFactory object for the given URL.
      Parameters:
        `serverUrl` - url of the JMS server

    - #### TibjmsXATopicConnectionFactory

          public TibjmsXATopicConnectionFactory(java.lang.String serverUrl,
                                                java.lang.String clientId)

      Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id.
      Parameters:
        `serverUrl` - url of the JMS server
        `clientId` - id of the client

    - #### TibjmsXATopicConnectionFactory

          public TibjmsXATopicConnectionFactory(java.lang.String serverUrl,
                                                java.lang.String clientId,
                                                java.util.Map properties)

      Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id and properties.
      Parameters:
        `serverUrl` - url of the JMS server
        `clientId` - id of the client
        `properties` - properties object The following properties can be set in the properties object: TibjmsSSL.VENDOR TibjmsSSL.TRACE TibjmsSSL.DEBUG_TRACE TibjmsSSL.TRUSTED_CERTIFICATES TibjmsSSL.ENABLE_VERIFY_HOST TibjmsSSL.ENABLE_VERIFY_HOST_NAME TibjmsSSL.EXPECTED_HOST_NAME TibjmsSSL.HOST_NAME_VERIFIER TibjmsSSL.AUTH_ONLY TibjmsSSL.IDENTITY TibjmsSSL.IDENTITY_ENCODING TibjmsSSL.ISSUER_CERTIFICATES TibjmsSSL.PRIVATE_KEY TibjmsSSL.PRIVATE_KEY_ENCODING TibjmsSSL.PASSWORD TibjmsSSL.CIPHER_SUITES
      See Also:
        `TibjmsSSL`

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `TibjmsXAConnectionFactory`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### createXATopicConnection

          public XATopicConnection createXATopicConnection()
                                                    throws JMSException

      Description copied from interface: `XATopicConnectionFactory`
      Creates an XA topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createXATopicConnection` in interface `XATopicConnectionFactory`
      Returns:
        a newly created XA topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createXATopicConnection

          public XATopicConnection createXATopicConnection(java.lang.String userName,
                                                           java.lang.String password)
                                                    throws JMSException

      Description copied from interface: `XATopicConnectionFactory`
      Creates an XA topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createXATopicConnection` in interface `XATopicConnectionFactory`
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created XA topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createTopicConnection

          public TopicConnection createTopicConnection()
                                                throws JMSException

      Description copied from interface: `TopicConnectionFactory`
      Creates a topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createTopicConnection` in interface `TopicConnectionFactory`
      Returns:
        a newly created topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createTopicConnection

          public TopicConnection createTopicConnection(java.lang.String userName,
                                                       java.lang.String password)
                                                throws JMSException

      Description copied from interface: `TopicConnectionFactory`
      Creates a topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createTopicConnection` in interface `TopicConnectionFactory`
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createContext

          public JMSContext createContext()

      Description copied from interface: `ConnectionFactory`
      Creates a JMSContext with the default user identity and an unspecified sessionMode.

      A connection and session are created for use by the new JMSContext. The connection is created in stopped mode but will be automatically started when a JMSConsumer is created.

      The behaviour of the session that is created depends on whether this method is called in a Java SE environment, in the Java EE application client container, or in the Java EE web or EJB container. If this method is called in the Java EE web or EJB container then the behaviour of the session also depends on whether or not there is an active JTA transaction in progress.

      In a Java SE environment or in the Java EE application client container:

      - The session will be non-transacted and received messages will be acknowledged automatically using an acknowledgement mode of `JMSContext.AUTO_ACKNOWLEDGE` For a definition of the meaning of this acknowledgement mode see the link below.

      In a Java EE web or EJB container, when there is an active JTA transaction in progress:

      - The session will participate in the JTA transaction and will be committed or rolled back when that transaction is committed or rolled back, not by calling the `JMSContext`'s `commit` or `rollback` methods.

      In the Java EE web or EJB container, when there is no active JTA transaction in progress:

      - The session will be non-transacted and received messages will be acknowledged automatically using an acknowledgement mode of `JMSContext.AUTO_ACKNOWLEDGE` For a definition of the meaning of this acknowledgement mode see the link below.
      Specified by:
        `createContext` in interface `ConnectionFactory`
      Returns:
        a newly created JMSContext
      See Also:
        `JMSContext.AUTO_ACKNOWLEDGE`, `ConnectionFactory.createContext(int)`, `ConnectionFactory.createContext(java.lang.String, java.lang.String)`, `ConnectionFactory.createContext(java.lang.String, java.lang.String, int)`, `JMSContext.createContext(int)`

    - #### createContext

          public JMSContext createContext(int sessionMode)

      Description copied from interface: `ConnectionFactory`
      Creates a JMSContext with the default user identity and the specified session mode.

      A connection and session are created for use by the new JMSContext. The JMSContext is created in stopped mode but will be automatically started when a JMSConsumer is created.

      The effect of setting the `sessionMode` argument depends on whether this method is called in a Java SE environment, in the Java EE application client container, or in the Java EE web or EJB container. If this method is called in the Java EE web or EJB container then the effect of setting the `sessionMode` argument also depends on whether or not there is an active JTA transaction in progress.

      In a Java SE environment or in the Java EE application client container:

      - If `sessionMode` is set to `JMSContext.SESSION_TRANSACTED` then the session will use a local transaction which may subsequently be committed or rolled back by calling the `JMSContext`'s `commit` or `rollback` methods.
      - If `sessionMode` is set to any of `JMSContext.CLIENT_ACKNOWLEDGE`, `JMSContext.AUTO_ACKNOWLEDGE` or `JMSContext.DUPS_OK_ACKNOWLEDGE`. then the session will be non-transacted and messages received by this session will be acknowledged according to the value of `sessionMode`. For a definition of the meaning of these acknowledgement modes see the links below.

      In a Java EE web or EJB container, when there is an active JTA transaction in progress:

      - The argument `sessionMode` is ignored. The session will participate in the JTA transaction and will be committed or rolled back when that transaction is committed or rolled back, not by calling the `JMSContext`'s `commit` or `rollback` methods. Since the argument is ignored, developers are recommended to use `createSession()`, which has no arguments, instead of this method.

      In the Java EE web or EJB container, when there is no active JTA transaction in progress:

      - The argument `acknowledgeMode` must be set to either of `JMSContext.AUTO_ACKNOWLEDGE` or `JMSContext.DUPS_OK_ACKNOWLEDGE`. The session will be non-transacted and messages received by this session will be acknowledged automatically according to the value of `acknowledgeMode`. For a definition of the meaning of these acknowledgement modes see the links below. The values `JMSContext.SESSION_TRANSACTED` and `JMSContext.CLIENT_ACKNOWLEDGE` may not be used.
      Specified by:
        `createContext` in interface `ConnectionFactory`
      Parameters:
        `sessionMode` - indicates which of four possible session modes will be used.
        - If this method is called in a Java SE environment or in the Java EE application client container, the permitted values are `JMSContext.SESSION_TRANSACTED`, `JMSContext.CLIENT_ACKNOWLEDGE`, `JMSContext.AUTO_ACKNOWLEDGE` and `JMSContext.DUPS_OK_ACKNOWLEDGE`.
        - If this method is called in the Java EE web or EJB container when there is an active JTA transaction in progress then this argument is ignored.
        - If this method is called in the Java EE web or EJB container when there is no active JTA transaction in progress, the permitted values are `JMSContext.AUTO_ACKNOWLEDGE` and `JMSContext.DUPS_OK_ACKNOWLEDGE`. In this case the values `JMSContext.TRANSACTED` and `JMSContext.CLIENT_ACKNOWLEDGE` are not permitted.
      Returns:
        a newly created JMSContext
      See Also:
        `JMSContext.SESSION_TRANSACTED`, `JMSContext.CLIENT_ACKNOWLEDGE`, `JMSContext.AUTO_ACKNOWLEDGE`, `JMSContext.DUPS_OK_ACKNOWLEDGE`, `ConnectionFactory.createContext()`, `ConnectionFactory.createContext(java.lang.String, java.lang.String)`, `ConnectionFactory.createContext(java.lang.String, java.lang.String, int)`, `JMSContext.createContext(int)`

    - #### createContext

          public JMSContext createContext(java.lang.String userName,
                                          java.lang.String password)

      Description copied from interface: `ConnectionFactory`
      Creates a JMSContext with the specified user identity and an unspecified sessionMode.

      A connection and session are created for use by the new JMSContext. The connection is created in stopped mode but will be automatically started when a JMSConsumer.

      The behaviour of the session that is created depends on whether this method is called in a Java SE environment, in the Java EE application client container, or in the Java EE web or EJB container. If this method is called in the Java EE web or EJB container then the behaviour of the session also depends on whether or not there is an active JTA transaction in progress.

      In a Java SE environment or in the Java EE application client container:

      - The session will be non-transacted and received messages will be acknowledged automatically using an acknowledgement mode of `JMSContext.AUTO_ACKNOWLEDGE` For a definition of the meaning of this acknowledgement mode see the link below.

      In a Java EE web or EJB container, when there is an active JTA transaction in progress:

      - The session will participate in the JTA transaction and will be committed or rolled back when that transaction is committed or rolled back, not by calling the `JMSContext`'s `commit` or `rollback` methods.

      In the Java EE web or EJB container, when there is no active JTA transaction in progress:

      - The session will be non-transacted and received messages will be acknowledged automatically using an acknowledgement mode of `JMSContext.AUTO_ACKNOWLEDGE` For a definition of the meaning of this acknowledgement mode see the link below.
      Specified by:
        `createContext` in interface `ConnectionFactory`
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created JMSContext
      See Also:
        `JMSContext.AUTO_ACKNOWLEDGE`, `ConnectionFactory.createContext()`, `ConnectionFactory.createContext(int)`, `ConnectionFactory.createContext(java.lang.String, java.lang.String, int)`, `JMSContext.createContext(int)`

    - #### createContext

          public JMSContext createContext(java.lang.String userName,
                                          java.lang.String password,
                                          int sessionMode)

      Description copied from interface: `ConnectionFactory`
      Creates a JMSContext with the specified user identity and the specified session mode.

      A connection and session are created for use by the new JMSContext. The JMSContext is created in stopped mode but will be automatically started when a JMSConsumer is created.

      The effect of setting the `sessionMode` argument depends on whether this method is called in a Java SE environment, in the Java EE application client container, or in the Java EE web or EJB container. If this method is called in the Java EE web or EJB container then the effect of setting the `sessionMode` argument also depends on whether or not there is an active JTA transaction in progress.

      In a Java SE environment or in the Java EE application client container:

      - If `sessionMode` is set to `JMSContext.SESSION_TRANSACTED` then the session will use a local transaction which may subsequently be committed or rolled back by calling the `JMSContext`'s `commit` or `rollback` methods.
      - If `sessionMode` is set to any of `JMSContext.CLIENT_ACKNOWLEDGE`, `JMSContext.AUTO_ACKNOWLEDGE` or `JMSContext.DUPS_OK_ACKNOWLEDGE`. then the session will be non-transacted and messages received by this session will be acknowledged according to the value of `sessionMode`. For a definition of the meaning of these acknowledgement modes see the links below.

      In a Java EE web or EJB container, when there is an active JTA transaction in progress:

      - The argument `sessionMode` is ignored. The session will participate in the JTA transaction and will be committed or rolled back when that transaction is committed or rolled back, not by calling the `JMSContext`'s `commit` or `rollback` methods. Since the argument is ignored, developers are recommended to use `createSession()`, which has no arguments, instead of this method.

      In the Java EE web or EJB container, when there is no active JTA transaction in progress:

      - The argument `acknowledgeMode` must be set to either of `JMSContext.AUTO_ACKNOWLEDGE` or `JMSContext.DUPS_OK_ACKNOWLEDGE`. The session will be non-transacted and messages received by this session will be acknowledged automatically according to the value of `acknowledgeMode`. For a definition of the meaning of these acknowledgement modes see the links below. The values `JMSContext.SESSION_TRANSACTED` and `JMSContext.CLIENT_ACKNOWLEDGE` may not be used.
      Specified by:
        `createContext` in interface `ConnectionFactory`
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
        `sessionMode` - indicates which of four possible session modes will be used.
        - If this method is called in a Java SE environment or in the Java EE application client container, the permitted values are `JMSContext.SESSION_TRANSACTED`, `JMSContext.CLIENT_ACKNOWLEDGE`, `JMSContext.AUTO_ACKNOWLEDGE` and `JMSContext.DUPS_OK_ACKNOWLEDGE`.
        - If this method is called in the Java EE web or EJB container when there is an active JTA transaction in progress then this argument is ignored.
        - If this method is called in the Java EE web or EJB container when there is no active JTA transaction in progress, the permitted values are `JMSContext.AUTO_ACKNOWLEDGE` and `JMSContext.DUPS_OK_ACKNOWLEDGE`. In this case the values `JMSContext.TRANSACTED` and `JMSContext.CLIENT_ACKNOWLEDGE` are not permitted.
      Returns:
        a newly created JMSContext
      See Also:
        `JMSContext.SESSION_TRANSACTED`, `JMSContext.CLIENT_ACKNOWLEDGE`, `JMSContext.AUTO_ACKNOWLEDGE`, `JMSContext.DUPS_OK_ACKNOWLEDGE`, `ConnectionFactory.createContext()`, `ConnectionFactory.createContext(int)`, `ConnectionFactory.createContext(java.lang.String, java.lang.String)`, `JMSContext.createContext(int)`

Copyright © Cloud Software Group, Inc. All rights reserved